
/*form*/
.sd_ui_hidden_form{display:none;} /*隐藏form*/

/*validate*/
.sd_ui_validate_right{background: url('../images/valid/right.png');width:16px;height:16px;display: inline-block;}
.sd_ui_validate_error{background: url('../images/valid/error.png');width:16px;height:16px;display: inline-block;}

/*input text*/
.sd_ui_textbox,.sd_ui_textbox_disabled,.sd_ui_textbox_readOnly{width:300px;height:30px;border:1px solid lightslategray;margin:2px;border-radius:2px;position:relative;
    transition:box-shadow 1.5s;
    -moz-transition:box-shadow 1.5s; /* Firefox 4 */
    -webkit-transition:box-shadow 1.5s; /* Safari and Chrome */
    -o-transition:box-shadow 1.5s; /* Opera */
}
.sd_ui_textbox_disabled{opacity:0.8; filter:alpha(opacity=80);}
.sd_ui_textbox_readOnly{border:none;}
.sd_ui_textbox_input{background:transparent;border:none;width:280px;height:100%;padding:0 10px;line-height:30px;}
.sd_ui_textbox:hover{width:300px;height:30px;border:1px solid lightslategray;margin:2px;border-radius:2px;position:relative;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
}

.sd_ui_datebox_input{background:transparent ;border:none;width:280px;height:100%;padding:0 10px;line-height:30px;
    background-image: url("../images/icon/icon.png");
    background-repeat: no-repeat;
    background-position: right center;
}

/*window css*/
.sd_ui_winform {display: none;border: 1px solid #D0A19F;width:850px; box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.5);max-height:500px;}
.sd_ui_winform li{padding:5px;}
.sd_ui_winform .i-title{border:1px solid white;height:40px;background:#A14340;color:#ffffff;font-weight:bold;line-height:40px;padding-left:10px;}
.sd_ui_winform .i-content{padding:10px;}
.sd_ui_winform .from-table{width: 100%;border:1px dashed #d3d3d3;margin:4px 0;border-collapse: collapse;}
.sd_ui_winform .form-tr{border-bottom:1px dashed #d3d3d3;line-height:200%;}
.sd_ui_winform .form-i-label{text-align: right;padding:10px;font-weight:bold;}
.sd_ui_winform .form-i-sign{text-align: center;color: red;font-weight:bold;}
.sd_ui_winform .form-i-submit{text-align: right;padding:15px 0;}

/*window grid*/
.sd_ui_datagrid {width:100%;box-shadow: 0px 0px 0px rgba(0, 0, 0, 0.1);border-collapse: collapse;}
.sd_ui_datagrid tr{}
.sd_ui_datagrid td{}
.sd_ui_datagrid .head td{padding:10px;background: #A14340;color: white;}
.sd_ui_datagrid .data{border-bottom: 1px dashed #D7D7D7;line-height:220%;}
.sd_ui_datagrid .data:hover{background:lightgoldenrodyellow;font-size:14px;color:#A14340}
.sd_ui_datagrid .data td{padding:6px;font-size:13px;}
.sd_ui_datagrid .even{background:lightyellow;}
.sd_ui_datagrid .odd{}

.sd_ui_datagrid_mask{top:0;background:url('../images/gif/loading_color.gif') no-repeat center center;width:100%;height:100%;position:absolute;;}
.sd_ui_datagrid .loading {display: none;}
.sd_ui_datagrid .loading div{padding:20px;height:32px;background:url('../../../static/images/gif/loading_big.gif') no-repeat center center;}

.sd_ui_datagrid .page div {text-align: right;padding:2px;background: #EAEAEA;}
.sd_ui_datagrid .page span {text-align: right;padding:3px;cursor:pointer;display: inline-block;}
.sd_ui_datagrid .page .sum {float:left;}
.sd_ui_datagrid .page .count {float:left;}
.sd_ui_datagrid .page .prePage {}
.sd_ui_datagrid .page .prePage:hover {color:#A14340;font-weight:bold;}
.sd_ui_datagrid .page .currentPage {width:22px;height:18px;background:none;border-radius:18px;text-align: center;font-weight: bold;color:#A14340}
.sd_ui_datagrid .page .nextPage {}
.sd_ui_datagrid .page .nextPage:hover {color:#A14340;font-weight:bold;}
.sd_ui_datagrid .page .jumpPage input{width:40px;}
.sd_ui_datagrid .page .pageGO{color:#A14340;font-size:12px;padding:2px 10px;border:1px solid #808080;border-radius: 3px;font-weight:bold;}
.sd_ui_datagrid .page .normalPage:hover{font-size:16px;font-weight:bold;}
